Subject: Re: bug#60418: [PATCH] Add :vc keyword to use-package
From: Philip Kaludercic <[email-masked]>
To: Tony Zorman <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 16 May 2023 19:30:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philip Kaludercic <[email-masked]> writes:

> Tony Zorman <[email-masked]> writes:
>
>> On Sat, May 06 2023 18:50, Philip Kaludercic wrote:
>>> Eli Zaretskii <[email-masked]> writes:
>>>>                                       I understand that in most cases
>>>> users will want to install the latest, 
>>>
>>> I don't know if that is the case.  I might be wrong that the revision of
>>> the latest release is a good default?  Tony, do you think we should add
>>> a user-option to regulate this behaviour.
>>
>> It's certainly my default to install the latest commit of a package
>> instead of the latest release. I don't know how general this desire is
>> among other people, but an option for controlling the specific behaviour
>> sounds great in either case.
>
> OK, so it might make sense to address this at a later point with a
> another patch.
>
> For now, what issues remain to be resolved before these patches can be
> applied?

Reviewing the thread, I think everything was ready (aside from a few
things that I promised to take care of), so I've pushed the change to
master.  Thank you for your contribution!